#************************************************************************
# Codelet Tuning Infrastructure
# Copyright (C) 2010-2015 Intel Corporation, CEA, GENCI, and UVSQ
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#************************************************************************

# Authors: Franck Talbart, Mathieu Bordet, Nicolas Petit
AUTOMAKE_OPTIONS = foreign
BUILD_DIR = /tmp
all:
	./generate_interface.py "$(BUILD_DIR)" "$(OBJS)"
	swig -outdir $(BUILD_DIR)/python/ -python $(BUILD_DIR)/python/ctr.i
	python $(BUILD_DIR)/python/setup.py build --build-base="$(BUILD_DIR)/python" install --install-purelib="$(BUILD_DIR)/python/Site-ctr" --install-platlib="$(BUILD_DIR)/python/Site-ctr"
	
clean::
	rm -f "$(BUILD_DIR)"/python/ctr.i 
	rm -f "$(BUILD_DIR)"/python/setup.py 
	rm -f "$(BUILD_DIR)"/python/ctr_wrap.c 
	rm -f "$(BUILD_DIR)"/python/ctr.py
	rm -f "$(BUILD_DIR)"/python/build
	rm -rf "$(BUILD_DIR)"/python/Site-ctr
